petsc-3.4.2 2013-07-02

# DMRedundantSetSize

Sets the size of a densely coupled redundant object

### Synopsis

    #include "petscdmredundant.h"
    PetscErrorCode DMRedundantSetSize(DM dm,PetscInt rank,PetscInt N)

Collective on DM

### Input Parameter

| dm | - redundant DM
| rank | - rank of process to own redundant degrees of freedom
| N | - total number of redundant degrees of freedom

### See Also

DMDestroy(), DMCreateGlobalVector(), DMRedundantCreate(), DMRedundantGetSize()

Level:advanced
Location:src/dm/impls/redundant/dmredundant.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages